Hello,

I am trying to connect to a RESTful API endpoint that no longer supports TLS 1.0. My current Java version is 1.7.0_72 and am using Kettle 6.1.0.1-196.

I know that Java version does not enable TLS 1.1 and 1.2 by default. I have tried passing both "-Dhttps.protocols=TLSv1.1,TLSv1.2" and "-Dhttps.protocols=TLSv1.0,TLSv1.1,TLSv1.2" into my spoon.bat file. However, in both cases I have received the error " REST Client.0 - java.net.SocketException: Connection reset".

Is there any way to force Kettle to run with using TLS 1.1 and 1.2 only when using Java 7? I cannot seem to get this to work.

note*: I have ensured my Java version has check TLS 1.1 and 1.2 in the Java console. I have also tried adding -Djdk.tls.client.protocols=TLSv1.1,TLSv1.2 to spoon.bat which did not make any difference.